<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litematrimony',

    /*
     * Package.
     */
    'package'   => 'preference',

    /*
     * Modules.
     */
    'modules'   => ['preference'],

    
    'preference'       => [
        'model' => [
            'model' => \Litematrimony\Preference\Models\Preference::class,
            'repository' => \Litematrimony\Preference\Repositories\Eloquent\PreferenceRepository::class,
            'table' => 'preferences',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['id',  'profile_id',  'marital_status',  'min_age',  'max_age',  'country_id',  'state_id',  'district_id',  'city_id',  'mothertongue',  'religion',  'caste',  'subcaste',  'min_height',  'max_height',  'physical_status',  'education',  'employment_type',  'occupation',  'star',  'raasi',  'dosham',  'food_habits',  'smoking',  'drinking',  'created_at',  ')',  'updated_at',  'deleted_at'],
            'translatables' => [],
            'upload_folder' => 'preference/preference',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider' => 'Litematrimony',
            'package' => 'Preference',
            'module' => 'Preference',
        ],
    ],
];
