<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePreferencesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: preferences
         */
        Schema::create('preferences', function ($table) {
            $table->increments('id');
            $table->string('profile_id', 255)->nullable();
            $table->string('marital_status', 1000)->nullable();
            $table->integer('min_age')->nullable();
            $table->integer('max_age')->nullable();
            $table->string('country_id', 1000)->nullable();
            $table->string('state_id', 1000)->nullable();
            $table->string('district_id', 255)->nullable();
            $table->string('city_id', 1000)->nullable();
            $table->string('mothertongue', 1000)->nullable();
            $table->string('religion', 1000)->nullable();
            $table->string('caste', 1000)->nullable();
            $table->string('subcaste', 1000)->nullable();
            $table->integer('min_height')->nullable();
            $table->integer('max_height')->nullable();
            $table->string('physical_status', 1000)->nullable();
            $table->string('education', 1000)->nullable();
            $table->string('employment_type', 1000)->nullable();
            $table->string('occupation', 1000)->nullable();
            $table->string('star', 1000)->nullable();
            $table->string('raasi', 1000)->nullable();
            $table->string('dosham', 1000)->nullable();
            $table->string('food_habits', 1000)->nullable();
            $table->string('smoking', 1000)->nullable();
            $table->string('drinking', 1000)->nullable();
            $table->package::package.fieldtype.ON(')')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('preferences');
    }
}
