<?php

namespace Litematrimony\Preference\Seeders;

use DB;
use Illuminate\Database\Seeder;

class PreferenceTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('preferences')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'preference.preference.view',
                'name'      => 'View Preference',
            ],
            [
                'slug'      => 'preference.preference.create',
                'name'      => 'Create Preference',
            ],
            [
                'slug'      => 'preference.preference.edit',
                'name'      => 'Update Preference',
            ],
            [
                'slug'      => 'preference.preference.delete',
                'name'      => 'Delete Preference',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/preference/preference',
                'name'        => 'Preference',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/preference/preference',
                'name'        => 'Preference',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'preference',
                'name'        => 'Preference',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Preference',
                'module'    => 'Preference',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'preference.preference.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
