Lavalite package that provides preference management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litematrimony/preference`.

    "litematrimony/preference": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litematrimony\Preference\Providers\PreferenceServiceProvider::class,

And also add it to alias

    'Preference'  => Litematrimony\Preference\Facades\Preference::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litematrimony\\Preference\\Seeders\\PreferenceTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litematrimony\Preference\Providers\PreferenceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litematrimony\Preference\Providers\PreferenceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litematrimony\Preference\Providers\PreferenceServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/preference/{modulename}

**User**

    http://path-to-route-folder/user/preference/{modulename}

**Public**

    http://path-to-route-folder/preferences


### API endpoints

**List**

    http://path-to-route-folder/api/user/preference/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/preference/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/preference/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/preference/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/preference/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/preference/{modulename}/{slug}
    METHOD: GET