<?php

namespace Litematrimony\Preference\Forms;

use Litepie\Form\FormInterpreter;

class Preference extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('preference/preference/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('preference/preference/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('preference/preference'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('preference/preference'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('preference/preference'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('preference/preference'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('preference::preference.label.name'),
                "placeholder" => trans('preference::preference.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('preference::preference.label.created_at'),
            'name' => trans('preference::preference.label.name'),
            'status' => trans('preference::preference.label.status'),
        ];
        self::$groups = [
            'main' => trans('preference::preference.groups.main'),
            'details' => trans('preference::preference.groups.details'),
            'images' => trans('preference::preference.groups.images'),
            'settings' => trans('preference::preference.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('preference::preference.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('preference::preference.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('preference::preference.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('preference::preference.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'profile_id' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.profile_id'),
                "placeholder" => trans('preference::preference.placeholder.profile_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'marital_status' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.marital_status'),
                "placeholder" => trans('preference::preference.placeholder.marital_status'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'min_age' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('preference::preference.label.min_age'),
                "placeholder" => trans('preference::preference.placeholder.min_age'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'max_age' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('preference::preference.label.max_age'),
                "placeholder" => trans('preference::preference.placeholder.max_age'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'country_id' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.country_id'),
                "placeholder" => trans('preference::preference.placeholder.country_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'state_id' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.state_id'),
                "placeholder" => trans('preference::preference.placeholder.state_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'district_id' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.district_id'),
                "placeholder" => trans('preference::preference.placeholder.district_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'city_id' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.city_id'),
                "placeholder" => trans('preference::preference.placeholder.city_id'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'mothertongue' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.mothertongue'),
                "placeholder" => trans('preference::preference.placeholder.mothertongue'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'religion' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.religion'),
                "placeholder" => trans('preference::preference.placeholder.religion'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'caste' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.caste'),
                "placeholder" => trans('preference::preference.placeholder.caste'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'subcaste' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.subcaste'),
                "placeholder" => trans('preference::preference.placeholder.subcaste'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'min_height' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('preference::preference.label.min_height'),
                "placeholder" => trans('preference::preference.placeholder.min_height'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'max_height' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('preference::preference.label.max_height'),
                "placeholder" => trans('preference::preference.placeholder.max_height'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'physical_status' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.physical_status'),
                "placeholder" => trans('preference::preference.placeholder.physical_status'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'education' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.education'),
                "placeholder" => trans('preference::preference.placeholder.education'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'employment_type' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.employment_type'),
                "placeholder" => trans('preference::preference.placeholder.employment_type'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'occupation' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.occupation'),
                "placeholder" => trans('preference::preference.placeholder.occupation'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'star' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.star'),
                "placeholder" => trans('preference::preference.placeholder.star'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'raasi' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.raasi'),
                "placeholder" => trans('preference::preference.placeholder.raasi'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'dosham' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.dosham'),
                "placeholder" => trans('preference::preference.placeholder.dosham'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'food_habits' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.food_habits'),
                "placeholder" => trans('preference::preference.placeholder.food_habits'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'smoking' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.smoking'),
                "placeholder" => trans('preference::preference.placeholder.smoking'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'drinking' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('preference::preference.label.drinking'),
                "placeholder" => trans('preference::preference.placeholder.drinking'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            ')' => [
                "element" => 'package::package.formcontrols.ON',
                "type" => 'package::package.formcontrols.ON',
                "label" => trans('preference::preference.label.)'),
                "placeholder" => trans('preference::preference.placeholder.)'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
