<?php

namespace Litematrimony\Preference\Repositories\Eloquent;

use Litematrimony\Preference\Interfaces\PreferenceRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litematrimony\Preference\Repositories\Eloquent\Presenters\PreferenceItemPresenter;


class PreferenceRepository extends BaseRepository implements PreferenceRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litematrimony.preference.preference.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litematrimony.preference.preference.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return PreferenceItemPresenter::class;
    }
}
